TREC 2001 VideoTrack: Known-Items Task Evaluation: Class ComparisonManager

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ComparisonManager

    java.lang.Object
      |
      +--ComparisonManager

public class ComparisonManager
extends java.lang.Object

This class is the main in processing the comparison of a system's item "segmentations" and some references. It permits to launch the parsing of Xml files without worrying about parsing errors and also to process the comparison of system's parsed segmentations with reference segmentations.

Field Summary
`static int` | `maxAllowedItems` The number of maximum allowed items.
`static java.lang.String` | `refDirName` The reference direcotry.

Constructor Summary
`ComparisonManager()` Simple constructor.

Method Summary
`protected static java.lang.String` | `getFullRefDirName()` Gets the full path to the reference directory.
`static void` | `main(java.lang.String[] argv)` Main entry point to the program.
`void` | `parseReference()` Launch the parsing of the file containing the Xml reference, known as topic description files.
`void` | `parseResults(java.io.File comparedSetFile)` Launch the parsing of the file containing the results per system results.
`void` | `processComparison()` Process the comparison between the reference segmentation and each system segmentation.
`protected static void` | `setRefDirName(java.lang.String theRefDirName)` Overrule refDir, only if directory exists
`static void` | `usage()` Print usage message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### refDirName

    public static java.lang.String refDirName

  The reference direcotry.

### maxAllowedItems

    public static int maxAllowedItems

  The number of maximum allowed items.

Constructor Detail

### ComparisonManager

    public ComparisonManager()

  Simple constructor.

Method Detail

### getFullRefDirName

    protected static java.lang.String getFullRefDirName()

  Gets the full path to the reference directory.

### setRefDirName

    protected static void setRefDirName(java.lang.String theRefDirName)

  Overrule refDir, only if directory exists

### parseReference

    public void parseReference()

  Launch the parsing of the file containing the Xml reference, known as topic description files.

### parseResults

    public void parseResults(java.io.File comparedSetFile)

  Launch the parsing of the file containing the results per system results.
  Parameters:
    `comparedSetFile` - name of the file containing this information.

### processComparison

    public void processComparison()
                           throws java.lang.Exception

  Process the comparison between the reference segmentation and each system segmentation.

### usage

    public static void usage()

  Print usage message

### main

    public static void main(java.lang.String[] argv)

  Main entry point to the program.

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov